> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Dataset Import

> Retry a failed or cancelled import for a dataset.



## OpenAPI

````yaml /api-reference/openapi.json post /api/datasets/{dataset_id}/retry-import
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/retry-import:
    post:
      tags:
        - imports
        - jobs
      summary: Retry Dataset Import
      description: Retry a failed or cancelled import for a dataset.
      operationId: retry_dataset_import_api_datasets__dataset_id__retry_import_post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/ImportRetryRequest'
                - type: 'null'
              title: Payload
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobAcceptedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ImportRetryRequest:
      properties:
        kaggle_username:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Kaggle Username
        kaggle_key:
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
          title: Kaggle Key
        huggingface_token:
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
          title: Huggingface Token
      type: object
      title: ImportRetryRequest
    JobAcceptedResponse:
      properties:
        job_id:
          type: string
          title: Job Id
        status:
          type: string
          title: Status
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
      type: object
      required:
        - job_id
        - status
      title: JobAcceptedResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````